/*  ----------------------------------------------------------------------------
    Module general
*/
.td-module-thumb,
.td_module_wrap {
  position: relative;
}
.td-module-thumb {
  .entry-thumb {
    display: block;
  }
}
.entry-thumb {
  width: 100%; // make full width thumbs
}

// video icon
.td-video-play-ico > img {
  position: absolute;
  margin: auto;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  width: 30px;
}
// date
.td-post-date {
  display: inline-block;
  font-size: 12px;
  line-height: 16px;
}
// reviews
.entry-review-stars {
  display: inline-block;
  i {
    margin-right: 1px;
  }
}
// admin edit
.td-admin-edit {
  position: absolute;
  left: 0;
  top: 0;
  display: block;
  z-index: 2;
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  padding: 5px 8px;
  font-size: 10px;
  text-decoration: none;
  line-height: 1;
  text-transform: capitalize;
}
// category on modules
.td-post-category {
  font-size: 9px;
  line-height: 10px;
  background-color: @td_theme_color;
  color: #fff;
  margin-right: 5px;
  padding: 4px 6px;
  display: inline-table;
  vertical-align: middle;
  text-transform: uppercase;
  pointer-events: auto;
}
// post title
.entry-title {
  -ms-word-wrap: break-word;
  word-wrap: break-word;
}

/*  ----------------------------------------------------------------------------
    Module M1
*/
// module M1
.td_module_mob_1 {
  margin-bottom: 30px;

  .td-module-thumb {
    position: absolute;
    overflow: hidden;
    left: 0;
    top: 0;
    width: 120px;
    height: 85px;

    /* responsive portrait iPhone 5 */
    @media (max-width: 320px) {
      width: 100px;
      height: 70px;
    }
  }
  .item-details {
    margin-left: 135px;
    min-height: 85px;

    /* responsive portrait iPhone 5 */
    @media (max-width: 320px) {
      margin-left: 115px;
      min-height: 70px;
    }
  }
  .entry-title {
    margin: 0 0 5px 0;
    font-size: 17px;
    line-height: 20px;

    a {
      color: #000;
    }
  }
  // date
  .td-post-date {
    color: #444;
  }
  // reviews
  .entry-review-stars {
    position: relative;
    top: 3px;
  }
}

// module M2
.td_module_mob_2 {
  position: relative;
  overflow: hidden;
  margin: 0 -15px 2px -15px;

  .td-admin-edit {
    left: auto;
    right: 0;
  }

  // video icon
  .td-video-play-ico > img {
    right: 12px;
    bottom: auto;
    top: 12px;
    left: auto;
  }

  .td-meta-info-container {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    pointer-events: none;
    z-index: 1;
  }
  .td-meta-align {
    margin: 0 15px 17px;
    pointer-events: none;
  }

  .td-post-author-name a,
  .td-post-author-name span,
  .td-post-date {
    color: #fff;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
  }

  .entry-title {
    font-size: 20px;
    line-height: 24px;
    font-weight: bold;
    margin: 8px 0 9px;

    a {
      color: #fff;
      text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
    }
  }
  .td-module-meta-info {
    z-index: 1;
    line-height: 1;
  }
  .td-post-author-name {
    display: inline-block;
    pointer-events: auto;
    font-weight: bold;
    font-size: 12px;

    span {
      margin: 0 3px;
    }
  }
  .entry-review-stars {
    color: #fff;
  }
  .td-module-thumb {
    height: 155px;

    a:last-child {
      height: 155px;
      display: block;

      &:before {
        bottom: 0;
        content: '';
        display: block;
        height: 100%;
        width: 130%;
        position: absolute;
        z-index: 1;
        background: -moz-linear-gradient(
          top,
          rgba(0, 0, 0, 0) 0%,
          rgba(0, 0, 0, 0.7) 100%
        ); /* FF3.6+ */
        background: -webkit-gradient(
          linear,
          left top,
          left bottom,
          color-stop(0%, rgba(0, 0, 0, 0)),
          color-stop(100%, rgba(0, 0, 0, 0.7))
        ); /* Chrome,Safari4+ */
        background: -webkit-linear-gradient(
          top,
          rgba(0, 0, 0, 0) 0%,
          rgba(0, 0, 0, 0.7) 100%
        ); /* Chrome10+,Safari5.1+ */
        background: -o-linear-gradient(
          top,
          rgba(0, 0, 0, 0) 0%,
          rgba(0, 0, 0, 0.7) 100%
        ); /* Opera 11.10+ */
        background: -ms-linear-gradient(
          top,
          rgba(0, 0, 0, 0) 0%,
          rgba(0, 0, 0, 0.7) 100%
        ); /* IE10+ */
        background: linear-gradient(
          to bottom,
          rgba(0, 0, 0, 0) 0%,
          rgba(0, 0, 0, 0.7) 100%
        ); /* W3C */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#b3000000',GradientType=0 ); /* IE6-9 */
      }
    }
  }
}
